• Advertisement
Sign in to follow this  

ATI Drivers and 2.6.7?

This topic is 4864 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

Well I just got Slackware 10 installed and I have most of it set up. I still need to configure everything to suit my needs but first thing I want to do is install a new kernel. I was thinking of installing the 2.6.7 kernel which was the one I was using in Mandrake. I have an ATI card and I read somewhere that the ATI drivers don't work too well with 2.6 kernels... Can anyone confirm? Another ATI related question I have is if the ATI drivers will work with X.org... it seems they are Xfree86.

Share this post


Link to post
Share on other sites
Advertisement
A lot of the information about driver incompatibility with 2.6 is old. There certainly was back when 2.6 was new, but 2.6 is pretty much the standard platform now, vendors support it.

didn't 2.6.7 have a security problem? I'd go with whatever 2.6 kernel slackware supplies, or compile the lastest 2.6.9-ac whatever. (long story as to why -ac, but it might be preferable)

edit: oh yeah. and Xorg is the standard platform now too, so the drivers should support the latest Xorg _release_. (It's broken with the CVS of Xorg right now, I think, but that's irrelevant.)

Share this post


Link to post
Share on other sites
Check out the Rage3D Linux Forum to get all the info you need about the ATI driver.

According to what most have said, the ATI proprietary driver does not yet work with X.org. You can try the open source DRI driver, though. Supposedly, it's possible to play Doom 3 with it.

In general though, if you have a high-end ATI card, you're pretty much screwed in comparison to the Windows driver. :(

Share this post


Link to post
Share on other sites
ATI still hasn't fixed their driver?

*sigh*

*snuggles up to his totally open source and fully-capable-even-if-limited intel graphics chip*

edit;

you're nuts. fglrx or whatever does work with x.org.

It doesn't work with doom3, because ATI's drivers suck.

Share this post


Link to post
Share on other sites
Quote:
Original post by Arkainium
According to what most have said, the ATI proprietary driver does not yet work with X.org.

Not entirely true. I'm running xorg 6.7.0-r2 with the proprietary driver (3.14.1). However, it does have problems with newer versions of xorg.

Quote:
In general though, if you have a high-end ATI card, you're pretty much screwed in comparison to the Windows driver. :(


Sad, but true. The Linux driver really blows compared to ATI's Windows driver.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement